/* ==========================================================================
   1. GLOBALE KONFIGURATION
   ========================================================================== */
@font-face { 
    font-family: 'Special Elite';
    src: url('../Fonts/special-elite-v20-latin-regular.woff2') format('woff2'); 
    font-weight: 400;
    font-style: normal;
    font-display: swap;
}

html { box-sizing: border-box; }
*, *:before, *:after { box-sizing: inherit; }

body, html {
    margin: 0;
    padding: 0;
    width: 100%;
    min-height: 100%;
    font-size: 16px; /* Dein Basiswert */
    line-height: 1.5; /* Macht den Text lesbarer */
    font-family: 'Special Elite', sans-serif;
}

h1, h2, h3, p {
    margin: 0;
    padding: 0;
}

/* ==========================================================================
   2. HERO SEKTION
   ========================================================================== */
.hero-container { 
    min-height: 100vh;
    position: relative; 
    z-index: 1; 
    color: #ffffff;
}

.hero-section {
    height: 80vh;
    display: flex;
    flex-direction: column; 
    align-items: center; 
    text-align: center;
}

.hero-text-wrapper {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 90%;
    padding: 20px;
    border-radius: 15px;
}

.hero-text-wrapper h1 { font-size: clamp(2.1rem, 5.2vw + 1rem, 6.5rem); margin: 80px 0 0 0; letter-spacing: 6px;}
.hero-text-wrapper h2 { font-size: 1.5rem; text-align: center;}
.hero-text-wrapper p { font-size: 1.2rem; text-align: center; }

.additional-text
{ font-size: 1.2rem; text-align: center; margin-top: 85px;}


/* ==========================================================================
   3. CONTENT / PAGE 2
   ========================================================================== */
.page2 {
    box-sizing: border-box;
    width: 98%;
    padding: 0 5px;
    margin: 160px auto 0 auto;
    max-width: 1060px;
    margin-bottom: 50px;;
}

.page2 h2 {
    font-size: 2.1rem;
    margin-bottom: 20px;
    padding: 10px;
    border-radius: 10px;
}

.page2 h2 a{
    color:#ffffff;
}

.page2 h3 {
    font-size: 1.8rem;
    margin: 40px;
    padding: 10px;
}


.page2 p {
     font-size: 1.4rem;
     padding: 10px;
}


.page2 ul {
    margin-left: 0;   /* Entfernt den äußeren Abstand */
    padding-left: 10px; /* Hier stellst du die gewünschte Einrückung ein */
    list-style-position: outside; /* Optional: Position der Aufzählungszeichen */
}


.lead { font-size: 1.6rem; padding: 10px; }
.image-caption { font-size: 0.75rem; }

/* TYPO3 Floats korrigieren */
/* Der Hauptcontainer der Content-Elemente */
.ce-textpic {
    display: flex;
    flex-wrap: wrap; /* Erlaubt Umbruch auf Handys */
    gap: 10px;
    align-items: center;
}

/* Flex-Reihenfolge steuern */
.ce-gallery {
    order: 2; /* Bild kommt zuerst (Standard) */
    flex: 1 1 260px; /* Bild nimmt Platz ein, schrumpft aber */
}

.ce-bodytext {
    order: 1; /* Text kommt danach */
    flex: 1 1 300px;
}

/* ==========================================================================
   4. CONTENT / PAGE 3
   ========================================================================== */
.page3 {
    box-sizing: border-box;
    width: 98%;
    padding: 0 5px;
    margin: 200px auto 0 auto;
    max-width: 1060px;
    margin-bottom: 50px;;
}

.page3 h2 {
    font-size: 2.1rem;
    margin-bottom: 20px;
    padding: 10px;
    border-radius: 10px;
}

.page3 h2 {
    font-size: 1.8rem;
    margin-bottom: 20px;
    padding: 10px;
    border-radius: 10px;
}


.page3 .banner-grid {
    display: grid;
    grid-template-columns: repeat(1, 1fr);
    gap: 15px;
    width: 65%;
    max-width: 1200px;
    margin: 0 auto;
    padding: 10px;
}

.banner-item {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    padding: 20px;
    background: rgba(255, 255, 255, 0.1);
    border-radius: 10px;
    border: 1px solid rgba(255, 255, 255, 0.3);
    text-decoration: none;
    color: #fff;
    transition: all 0.3s ease;
}



.banner-icon { margin-bottom: 15px; width: 60px; height: 60px; }
.banner-icon img { width: 100%; height: 100%; object-fit: contain; }

.banner-text { font-size: 1.1rem; text-align: center; }
.banner-text-bold { font-size: 1.5rem; text-align: center; }



/* ==========================================================================
   4. CONTENT / PAGE 
   ========================================================================== */
.page4 {
    box-sizing: border-box;
    width: 98%;
    padding: 0 5px;
    margin: 20px auto 0 auto;
    max-width: 1060px;
    margin-bottom: 50px;;
}


.page4 h2 {
    font-size: 2.1rem;
    margin-top: 100px;
    padding: 10px;
    border-radius: 10px;
}

.page4 p {
     font-size: 1.4rem;
     padding: 10px;
}


.page4 ul {
    margin-left: 0;   /* Entfernt den äußeren Abstand */
    padding-left: 20px; /* Hier stellst du die gewünschte Einrückung ein */
    list-style-position: outside; /* Optional: Position der Aufzählungszeichen */
}






/* ==========================================================================
   5. RESPONSIVE DESIGN
   ========================================================================== */

   /* Ab 900px Breite: 3 Spalten (für Desktops) */
@media (min-width: 800px) {
    .page3 .banner-grid {
        grid-template-columns: repeat(3, 1fr);
    }
}